/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.hotmail.frojasg1.encrypting.encoderdecoder;

import com.frojasg1.general.progress.CancellationException;
import com.frojasg1.general.progress.UpdatingProgress;
import com.frojasg1.general.progress.OperationCancellation;
import com.hotmail.frojasg1.encrypting.pseudorandomgenerator.PseudoRandomGeneratorException;

public interface EncoderDecoder
{
	public void M_initializeKey( byte[] newKey ) throws PseudoRandomGeneratorException;
	public void M_initializeKey( String newHexKey ) throws PseudoRandomGeneratorException;
	public byte[] M_encode( byte[] input, UpdatingProgress up ) throws PseudoRandomGeneratorException, CancellationException;
	public byte[] M_decode( byte[] input, UpdatingProgress up ) throws PseudoRandomGeneratorException, CancellationException;

	public int M_getRecommendedNumberOfBytesToInitializeKey();
	
	public byte[] getKey();
}
