/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.hotmail.frojasg1.applications.common.components.resizecomp;

import com.hotmail.frojasg1.applications.common.components.internationalization.InternException;
import com.hotmail.frojasg1.applications.common.components.internationalization.JFrameInternationalization;
import java.awt.Component;
import java.util.Hashtable;

/**
 *
 * @author Usuario
 */
public class MapResizeRelocateComponentItem extends Hashtable< Component, ResizeRelocateItem > implements ResizeRelocateItem_parent
{
	protected ResizeRelocateItem_parent _parent = null;
	
	public MapResizeRelocateComponentItem()
	{}

/*
	public MapResizeRelocateComponentItem( Component comp )
	{
		JFrameInternationalization.setInitialSizesForContentPanes( comp );	// it sets the content panes at the right size
	}
*/	
	@Override
	public ResizeRelocateItem getResizeRelocateComponentItem( Component comp )
	{
		return( ( _parent == null ? null : _parent.getResizeRelocateComponentItem( comp ) ) );
	}

	public void setParent( ResizeRelocateItem_parent parent )
	{
		_parent = parent;
	}

	// public function to add a resize and relocate policy for a particular component
	// an example of invocation for this function:
	// a_intern.putResizeRelocateComponentItem(jPanel1, ResizeRelocateItem.RESIZE_TO_RIGHT + ResizeRelocateItem.RESIZE_TO_BOTTOM );
	public void putResizeRelocateComponentItem( Component comp, int flags ) throws InternException
	{
		ResizeRelocateItem rri = ResizeRelocateItem.buildResizeRelocateItem( comp, flags, this );
		put(comp, rri);
	}

}
